program main
  use test_mod
  implicit none

  real, dimension(:), pointer :: v1d
  integer                     :: i
  allocate(v1d(25))
  do i=1, 25
     v1d(i) = i
  end do
  call test(v1d, 5, 5)

end program
